Summary: Interactive process viewer
Name: htop
Version: 3.2.2
Release: 4%{?dist}
License: GPLv2+
URL: http://hisham.hm/htop/
Source0: https://github.com/htop-dev/htop/archive/%{version}.tar.gz

BuildRequires: make libtool
BuildRequires: desktop-file-utils ncurses-devel
BuildRequires: python lm_sensors-devel
BuildRequires: hwloc-devel libcap-devel libnl3-devel

%description
This package provides an interactive text-mode process viewer for Linux, similar to top(1).

%prep
%autosetup -p1

%build
autoreconf -vfi

%configure \
	--enable-openvz \
	--enable-vserver \
	--enable-hwloc \
	--enable-unicode \
	--enable-sensors \
	--enable-delayacct \
	--enable-capabilities

%make_build

%install
%make_install

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%files
%license COPYING
%doc AUTHORS ChangeLog README
%{_bindir}/htop
%{_datadir}/pixmaps/htop.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/htop.1*

%changelog
* Mon Jun 09 2025 bbrucezhang <bbrucezhang@tencent.com> - 3.2.2-4
- Rebuilt for loongarch64

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.2-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.2-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Aug 21 2023 Wang Guodong <gordonwwang@tencent.com> - 3.2.2-1
- Upgrade to version 3.2.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 20 2022 Wang Guodong <gordonwwang@tencent.com> - 3.2.1-1
- package init.
